GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.IdentPINService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
String | getPIN ()
void | setPIN (String value)
Date | getBirthdate ()
void | setBirthdate (Date value)

## Protected Attributes
String | serviceName
String | pin
Date | birthdate

## Detailed Description

Ident PIN service attributes

Java class for IdentPINService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="IdentPINService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="PIN" type="{http://fpcs.gls-group.eu/v1/Common}IdentPIN"/>
            <element name="Birthdate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 45 of file IdentPINService.java.

## Member Function Documentation

## ◆ getBirthdate()

Date eu.gls_group.fpcs.v1.common.IdentPINService.getBirthdate | ( |  | ) |

Gets the value of the birthdate property.

Returns
  possible object is String

Definition at line 112 of file IdentPINService.java.

## ◆ getPIN()

String eu.gls_group.fpcs.v1.common.IdentPINService.getPIN | ( |  | ) |

Gets the value of the pin property.

Returns
  possible object is String

Definition at line 88 of file IdentPINService.java.

## ◆ getServiceName()

String eu.gls_group.fpcs.v1.common.IdentPINService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 64 of file IdentPINService.java.

## ◆ setBirthdate()

void eu.gls_group.fpcs.v1.common.IdentPINService.setBirthdate | ( | Date | value | ) |

Sets the value of the birthdate property.

Parameters

  value | allowed object is String

Definition at line 124 of file IdentPINService.java.

## ◆ setPIN()

void eu.gls_group.fpcs.v1.common.IdentPINService.setPIN | ( | String | value | ) |

Sets the value of the pin property.

Parameters

  value | allowed object is String

Definition at line 100 of file IdentPINService.java.

## ◆ setServiceName()

void eu.gls_group.fpcs.v1.common.IdentPINService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 76 of file IdentPINService.java.

## Member Data Documentation

## ◆ birthdate

Date eu.gls_group.fpcs.v1.common.IdentPINService.birthdate
| protected

Definition at line 54 of file IdentPINService.java.

## ◆ pin

String eu.gls_group.fpcs.v1.common.IdentPINService.pin
| protected

Definition at line 50 of file IdentPINService.java.

## ◆ serviceName

String eu.gls_group.fpcs.v1.common.IdentPINService.serviceName
| protected

Definition at line 48 of file IdentPINService.java.

The documentation for this class was generated from the following file:

- IdentPINService.java